Skip to main content
Resource Center/Hardware/Primary Storage Operations
GETPrimary Storage OperationsSince 4.7.21SynchronousAuth Required

GetPrimaryStorageUsageReport

GetPrimaryStorageUsageReport

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Query Parameters

Request Inputs

Path Parameters

  • primaryStorageUuidStringRequired

    The primary storage UUID.

Query Parameters

  • urisList

    Optinal. The storage protocol.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • uriUsageForecastMapRequired

    See uriUsageForecast.

    • usedPhysicalCapacitiesForecastListRequired

      No description provided.

    • UsedPhysicalCapacitiesHistoryListRequired

      No description provided.

    • TotalPhysicalCapacitiesHistoryListRequired

      No description provided.

    • startTimeLongRequired

      起始时间。

    • intervalLongRequired

      同步间隔时长。

  • usageReportUsageReportRequired

    See usageReport

    • usedPhysicalCapacitiesForecastListRequired

      No description provided.

    • UsedPhysicalCapacitiesHistoryListRequired

      No description provided.

    • TotalPhysicalCapacitiesHistoryListRequired

      No description provided.

    • startTimeLongRequired

      起始时间。

    • intervalLongRequired

      同步间隔时长。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The detailed description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

Endpoint

GET/zstack/v1/primary-storage/{primaryStorageUuid}/usage/report

/zstack/v1/primary-storage/{primaryStorageUuid}/usage/report

Operation ID

GetPrimaryStorageUsageReport

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/primary-storage/{primaryStorageUuid}/usage/report?uris=<uris>&systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "uriUsageForecast": {}, "usageReport": {} }

Change History

This API has no change history records yet.

View all change history